Package org.apache.catalina

## Interface Executor

All Superinterfaces:
  `Executor`, `Lifecycle`

All Known Implementing Classes:
  `StandardThreadExecutor`

    public interface Executor
    extends Executor, Lifecycle

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

`Lifecycle.SingleUse`

### Field Summary

### Fields inherited from interface org.apache.catalina.Lifecycle

`AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()`

### Methods inherited from interface java.util.concurrent.Executor

`execute`

### Methods inherited from interface org.apache.catalina.Lifecycle

`addLifecycleListener, destroy, findLifecycleListeners, getState, getStateName, init, removeLifecycleListener, start, stop`

### Method Detail

#### getName

    String getName()